--- ./main/gbx/gbx_c_process.c.orig	2008-02-24 09:45:53.000000000 +0100
+++ ./main/gbx/gbx_c_process.c	2008-02-24 15:04:13.000000000 +0100
@@ -44,6 +44,11 @@
 #ifdef OS_OPENBSD
 #include <util.h>
 #endif
+#ifdef OS_FREEBSD
+# include <sys/types.h>
+# include <sys/ioctl.h>
+# include <libutil.h>
+#endif
 
 #include "gb_replace.h"
 #include "gbx_api.h"
@@ -335,7 +340,7 @@
 
   if (mode & PM_TERM)
   {
-    #ifdef OS_OPENBSD
+    #if defined(OS_OPENBSD) || defined(OS_FREEBSD)
     if (openpty(&fd_master, &fd_slave, slave, NULL, NULL)<0)
       THROW_SYSTEM(errno, NULL);
     #else
