--- ./gb.compress.zlib/src/main.c.orig	2008-02-23 13:25:24.000000000 +0100
+++ ./gb.compress.zlib/src/main.c	2008-02-23 22:12:36.000000000 +0100
@@ -24,7 +24,12 @@
 
 #define __MAIN_C
 
-#include <bits/wordsize.h>
+#if defined(__FreeBSD__)
+# include <elf.h>
+# define __WORDSIZE __ELF_WORD_SIZE
+#else
+# include <bits/wordsize.h>
+#endif
 
 // Use 64 bits I/O
 #define _FILE_OFFSET_BITS 64
